# Email Verification

To get more detail about the API parameters, response types, and sample calls, click the arrow to the right on the card below.

## Verify an email

<mark style="color:blue;">`GET`</mark> `https://api.exactbuyer.com/v1/email-verification`

This endpoint allows you to verify an email.

#### Query Parameters

| Name                                    | Type   | Description          |
| --------------------------------------- | ------ | -------------------- |
| email<mark style="color:red;">\*</mark> | string | The email to verify. |

#### Headers

| Name      | Type   | Description  |
| --------- | ------ | ------------ |
| X-API-Key | string | Your API key |

{% tabs %}
{% tab title="200 Email validated successfully." %}

```json
{
    "catch_all": false,
    "verified": true
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>API Response</summary>

{% code title="Email Verification" %}

```json
{
    "catch_all": false,
    "verified": true
}
```

{% endcode %}

</details>

## Examples

#### Verify email

{% tabs %}
{% tab title="Python" %}

```python
import requests

url = "https://api.exactbuyer.com/v1/email-verification"

headers = {
  'X-API-Key': 'YOUR_API_KEY'
}

params = {
    'email': 'edan@exactbuyer.com',
}

response = requests.get(
  url,
  headers=headers,
  params=params)

print(response.text)
```

{% endtab %}

{% tab title="cURL" %}

```bash
curl --location --request GET 'https://api.exactbuyer.com/v1/email-verification?email=edan@exactbuyer.com' \
--header 'X-API-Key: YOUR_API_KEY'
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
const myHeaders = new Headers();
myHeaders.append("X-API-Key", "YOUR_API_KEY");


const requestOptions = {
  method: 'GET',
  headers: myHeaders,
  redirect: 'follow'
};

fetch("https://api.exactbuyer.com/v1/email-verification?edan=edan@exactbuyer.com", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.exactbuyer.com/email-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
